For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • POSTCreate Store
              • GETGet Store
              • POSTCreate Store Login URL
              • GETList Stores
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceStores

Get Store

Beta
GET
https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/:store_id
GET
/franchises/franchise_uuid/v1/stores/:store_id
$curl https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>"
1{
2 "data": {
3 "id": "1520270098436",
4 "status": "active",
5 "plan_sku": "STORE-TRIAL-15DAY",
6 "store_name": "Pflugerville Coop",
7 "store_hash": "lhv58otl0w",
8 "primary_hostname": "pflugerville-coop.store.bcdev",
9 "canonical_hostname": "store-lhv58otl0w.store.bcdev",
10 "country": "US",
11 "allocated_at": "2018-03-05T17:18:33Z",
12 "expires_at": "2018-03-20T17:17:58Z",
13 "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
14 "store_launched": false
15 },
16 "meta": {}
17}
This endpoint allows you to retrieve details for a specific store on a specific account under your franchise. You can also poll this endpoint to confirm if a store has completed provisioning.
Was this page helpful?
Previous

Create Store

Next

Create Store Login URL

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Path parameters

store_idstringRequired

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

Success If a “Create Store” request was successfully received, the store - in any status - will be returned with a 200 response code, along the store’s status and settings. Merchant’s can access their store once the status is “active”. At this point, an email for account verification should have been received by them. Provisioning store example (not ready for login): ```json { "data": { "id": "1520270098436", "status": "provisioning", "plan_sku": "STORE-TRIAL-15DAY", "store_name": "Pflugerville Coop" "country": "US", "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453", "store_launched": false }, "meta": {} } ``` Allocating store example (not ready for login): ```json { "data": { "id": "1520270098436", "status": "allocating", "plan_sku": "STORE-TRIAL-15DAY", "store_name": "Pflugerville Coop" "store_hash": "lhv58otl0w", "primary_hostname": "pflugerville-coop.store.bcdev", "canonical_hostname": "store-lhv58otl0w.store.bcdev", "country": "US", "expires_at": "2018-03-20T17:17:58Z", "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453", "store_launched": false }, "meta": {} } ``` Active store example (ready for login): ```json { "data": { "id": "1520270098436", "status": "active", "plan_sku": "STORE-TRIAL-15DAY", "store_name": "Pflugerville Coop" "store_hash": "lhv58otl0w", "primary_hostname": "pflugerville-coop.store.bcdev", "canonical_hostname": "store-lhv58otl0w.store.bcdev", "country": "US", "allocated_at": "2018-03-05T17:18:33Z", "expires_at": "2018-03-20T17:17:58Z", "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453", "store_launched": false }, "meta": {} } ```
dataobject
metaobject

Errors

401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}

The MIME type of the response body.

Success

If a “Create Store” request was successfully received, the store - in any status - will be returned with a 200 response code, along the store’s status and settings.

Merchant’s can access their store once the status is “active”. At this point, an email for account verification should have been received by them.

Provisioning store example (not ready for login):

1{
2 "data": {
3 "id": "1520270098436",
4 "status": "provisioning",
5 "plan_sku": "STORE-TRIAL-15DAY",
6 "store_name": "Pflugerville Coop"
7 "country": "US",
8 "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
9 "store_launched": false
10 },
11 "meta": {}
12}

Allocating store example (not ready for login):

1{
2 "data": {
3 "id": "1520270098436",
4 "status": "allocating",
5 "plan_sku": "STORE-TRIAL-15DAY",
6 "store_name": "Pflugerville Coop"
7 "store_hash": "lhv58otl0w",
8 "primary_hostname": "pflugerville-coop.store.bcdev",
9 "canonical_hostname": "store-lhv58otl0w.store.bcdev",
10 "country": "US",
11 "expires_at": "2018-03-20T17:17:58Z",
12 "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
13 "store_launched": false
14 },
15 "meta": {}
16}

Active store example (ready for login):

1{
2 "data": {
3 "id": "1520270098436",
4 "status": "active",
5 "plan_sku": "STORE-TRIAL-15DAY",
6 "store_name": "Pflugerville Coop"
7 "store_hash": "lhv58otl0w",
8 "primary_hostname": "pflugerville-coop.store.bcdev",
9 "canonical_hostname": "store-lhv58otl0w.store.bcdev",
10 "country": "US",
11 "allocated_at": "2018-03-05T17:18:33Z",
12 "expires_at": "2018-03-20T17:17:58Z",
13 "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
14 "store_launched": false
15 },
16 "meta": {}
17}